## ifupdown 0.7~alpha5.1ubuntu5

=== debian/changelog ===
ifupdown (0.7~alpha5.1ubuntu5) oneiric; urgency=low

  * use 'ifquery' in if-up.d/upstart rather than parsing interfaces
    manually. This fixes issue where devices with 'auto' but without a 
    config stanza would be blocked on (LP: #850226).

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Sep 2011 14:30:57 -0400

ifupdown (0.7~alpha5.1ubuntu4) oneiric; urgency=low

  * invoke dhclient3 with '-1', meaning it should exit failure if it does
    not receive a response in 60 seconds. (LP: #838968)
  * fix the broken static-network-up-emitted event. This now keeps
    state of which interfaces have been brought up by marker files
    in /run/network named ifup.IFACE and a directory named 
    static-network-up-emitted indicating static-network-up has been
    emitted.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 02 Sep 2011 15:50:47 -0400

ifupdown (0.7~alpha5.1ubuntu3) oneiric; urgency=low

  * Document what events are emitted properly. (LP: #819928)

 -- Clint Byrum <clint@ubuntu.com>  Mon, 22 Aug 2011 11:28:32 +0100

ifupdown (0.7~alpha5.1ubuntu2) oneiric; urgency=low

  * Rename Vcs-* to XS-Debian-Vcs-*.
  * Close mkdir's stderr when creating
    /var/run/network/static-network-up-emitted to silence (expected) error on
    second run.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 10 Aug 2011 17:01:24 +0200

ifupdown (0.7~alpha5.1ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian experimental.  Remaining changes:
    - ifupdown.nw: Use 100 as default route metric unless an explicit metric
      parameter is set in /etc/network/interface.
    - ifupdown.nw: Add 'ipv4ll' method which uses avahi-autoipd to bring up
      an interface with an IPv4 link-layer address from 169.254.0.0/16 (aka
      'Zeroconf').
    - Add iniparser3.0b sources (dictionary.c, dictionary.h, iniparser.c,
      iniparser.h), to let ifupdown avoid auto-up/down of interfaces if
      network-manager's ifupdown plugin is in managed=true mode.
    - Add a new query interface, 'ifquery', that can be used by upstart
      hooks to ask for the list of possible interfaces that they might need
      to bring up.
    - debian/ifupdown.network-interface.upstart: Replace the init scripts
      with a per-interface Upstart job.
    - debian/ifupdown.networking.upstart: Add a "networking" job that
      partially replaces the networking init script from netbase.
    - debian/control: Bump build-dependency on debhelper for Upstart-aware
      dh_installinit.
    - debian/rules: Due to debhelper always adding /etc/init.d symlinks, we
      must manually remove /etc/init.d/networking for as long as netbase
      still provides it.
    - Add if-up and if-down scripts to emit Upstart events when interfaces
      come up and go down.
    - debian/ifupdown.network-interface-security.upstart: Ensure apport is
      started before interfaces are brought up by either ifupdown or
      network-manager.
    - debian/postinst: If the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - debian/ifupdown.preinst: Since files in /etc were not conffiles in
      lucid, and /etc/network/if-up.d/upstart and
      /etc/init/network-interface.conf changed between lucid final and
      maverick, add extra handling to avoid spurious conffile prompts.
  * Backport from upstream Mercurial repository:
    - Add initial DHCPv6 support (LP: #733547).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Aug 2011 14:41:00 +0100

ifupdown (0.6.10ubuntu5) oneiric; urgency=low

  [Scott Moser]
  * debian/ifupdown.upstart.if-up: emit static-network-up when all auto
    network interfaces are up. (LP: #810044)

  [ Clint Byrum ]
  * debian/rules: dh_installinit has changed and exposes that the
    network-interface-security job should also have --noscripts

 -- Clint Byrum <clint@ubuntu.com>  Mon, 01 Aug 2011 12:40:37 -0700

## ifupdown 0.7~alpha5.1ubuntu5.1

=== Makefile ===
CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="0.7alpha"'
CC := gcc

BASEDIR ?= $(DESTDIR)

CFILES := addrfam.c execute.c config.c main.c archlinux.c
HFILES := header.h archlinux.h
PERLFILES := defn2c.pl defn2man.pl
DEFNFILES := inet.defn ipx.defn inet6.defn can.defn

OBJ := main.o addrfam.o execute.o config.o \
	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o \
	dictionary.o iniparser.o

MAN := $(patsubst %.defn,%.man,$(DEFNFILES))

default : executables
all : executables docs

executables : ifup ifdown ifquery ifup.8 ifdown.8 interfaces.5
docs : ifupdown.ps.gz ifup.8.ps.gz interfaces.5.ps.gz ifupdown.pdf

.PHONY : executables 
.PHONY : clean clobber

install :
	install -m 0755 -d     ${BASEDIR}/sbin
	install -m 0755 ifup   ${BASEDIR}/sbin
	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifdown	
	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifquery

clean :
	rm -f *.aux *.toc *.log *.bbl *.blg *.ps *.eps *.pdf
	rm -f *.o *.d $(patsubst %.defn,%.c,$(DEFNFILES)) *~
	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
	rm -f ifupdown.dvi *.ps{,.gz}

clobber : clean
	rm -f ifupdown.tex $(PERLFILES) $(CFILES) $(HFILES) $(DEFNFILES)

distclean : clobber
	rm -f makecdep.sh makenwdep.sh Makefile
ifup: $(OBJ)
	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(OUTPUT_OPTION)

ifdown: ifup
	ln -sf ifup ifdown

ifquery: ifup
	ln -sf ifup ifquery
interfaces.5: interfaces.5.pre $(MAN)
	sed $(foreach man,$(MAN),-e '/^##ADDRESSFAM##$$/r $(man)') \
	     -e '/^##ADDRESSFAM##$$/d' < $< > $@	

ifdown.8 ifquery.8: ifup.8
	ln -sf $< $@

%.5.ps: %.5
	groff -mandoc -Tps $< > $@
%.8.ps: %.8
	groff -mandoc -Tps $< > $@
ifupdown.dvi: modules.eps execution.eps
ifupdown.ps: modules.eps execution.eps
ifupdown.pdf: modules.pdf execution.pdf
%.tex : %.nw
	noweave -delay -index -latex $< >$@

%.bbl : %.tex biblio.bib
	latex $<
	bibtex $(basename $<)

%.dvi : %.tex %.bbl
	latex $<
	latex $<

%.pdf : %.tex %.bbl
	pdflatex $<
	pdflatex $<

%.ps : %.dvi
	dvips -o $@ $<

%.gz : %
	gzip --best --stdout $< >$@
%.eps : %.dia
	dia --nosplash -e $@ $<

%.pdf : %.eps
	gs -q -sDEVICE=pdfwrite -dNOPAUSE -sOutputFile=$@ - < $<
%.d: %.nw makenwdep.sh
	./makenwdep.sh $< > $@
%.d: %.c makecdep.sh
	./makecdep.sh $< > $@
%.c : %.defn defn2c.pl
	./defn2c.pl $< > $@
%.man: %.defn defn2man.pl
	./defn2man.pl $< > $@

include-deps := YES
ifneq "" "$(filter %clean,$(MAKECMDGOALS))"
include-deps := NO
endif
ifeq "clobber" "$(MAKECMDGOALS)"
include-deps := NO
endif
ifeq "$(strip $(include-deps))" "YES"
include ifupdown.d
endif

=== debian/changelog ===
ifupdown (0.7~alpha5.1ubuntu5.1) oneiric-proposed; urgency=low

  * Cherry pick fixes for label handling from upstream git (LP: #876829):
    - http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/100d6f75b985
    - http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/2d171c8da8e5
    - http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/f9cef973859e
    - http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/80a68bbbd45d
  * Update test suite accordingly.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 17 Jan 2012 15:50:31 -0500

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew O. Shadoura <bugzilla@tut.by>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.3.15ubuntu2), noweb
XS-Debian-Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
XS-Debian-Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/ifupdown/

Package: ifupdown
Architecture: any
Depends: iproute (>= 20071016-1), ${shlibs:Depends}, ${misc:Depends}, lsb-base, initscripts (>= 2.88dsf-13.3)
Suggests: dhcp3-client | dhcp-client, ppp, rdnssd, net-tools
Replaces: netbase (<< 4.00)
Conflicts: dhcp-client (<< 3.0)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

=== debian/rules ===
#!/usr/bin/make -f

######################################################################
# BUILD NOTES
#
# ifupdown's written in litprog using noweb. noweb is written in icon.
# icon isn't as portable as one might hope (it needs to have bits recoded
# for each arch and OS it's ported to. ugh).
#
# So. The "upstream" source is made to not include any of the generated
# files. That's neat and tidy. If you want to modify anything, you edit
# the .nw file.
#
# Once you've done all the Debian changes, you run debian/rules binary,
# and get all the .c files and such updated. Once you're done, you
# run debian/rules clean, which leaves the generated .c files around
# for porters. You then generate a .diff.gz, and all should be well.
#
# Useful targets of the toplevel makefile:
# clobber:
#   * gets rid of all the generated files except Makefile,
#     make{c,nw}dep.sh, which are needed to bootstrap
#
# distclean:
#   * removes ALL generated files.  Use with care.
#
# docs: 
#   * builds the documentation. Note that this is not done per
#     default (only executables are built). If this is added to
#     the default build process (which will not be done in the near
#     future since dia requires an X display even if using the -e option) 
#     the 'tetex-base' and 'dia' packages would need to be added to the
#     Build-Dep
#
######################################################################

%:
	dh $@

override_dh_auto_configure:
	chmod a+rx makecdep.sh makenwdep.sh

override_dh_installinit:
	dh_installinit --name=network-interface-security --upstart-only --noscripts
	dh_installinit --name=network-interface --upstart-only --noscripts
	dh_installinit --name=networking --upstart-only --noscripts
	# FIXME: this rm must be dropped once netbase has been fully upstartified
	rm debian/ifupdown/etc/init.d/networking

override_dh_installifupdown:
	dh_installifupdown --name=upstart

override_dh_auto_clean:
	$(MAKE) clean
	$(MAKE) clobber

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	chmod a+rx debian/testbuild
	@echo running debian/testbuild
	@if ! debian/testbuild; then \
	     echo '=================================================='; \
	     echo 'AUTOMATIC TESTS FAILED -- Something built wrong or'; \
	     echo 'there is a bug in the code!!! Either way something'; \
	     echo 'is completely screwed up!!! File a bug!'; \
	     echo ''; \
	     echo 'Aborting build.'; \
	     echo '=================================================='; \
	     exit 1; \
	fi
endif
endif

## ifupdown 0.7~beta1

=== Makefile ===
--- 
+++ 
@@ -1,23 +1,23 @@
-CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="0.7alpha"'
-CC := gcc
+CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="0.7beta"'
+CC ?= gcc
+ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 BASEDIR ?= $(DESTDIR)
 
-CFILES := addrfam.c execute.c config.c main.c archlinux.c
-HFILES := header.h archlinux.h
+CFILES := addrfam.c execute.c config.c main.c arch$(ARCH).c
+HFILES := header.h arch$(ARCH).h
 PERLFILES := defn2c.pl defn2man.pl
 DEFNFILES := inet.defn ipx.defn inet6.defn can.defn
 
 OBJ := main.o addrfam.o execute.o config.o \
-	$(patsubst %.defn,%.o,$(DEFNFILES)) archlinux.o \
-	dictionary.o iniparser.o
+	$(patsubst %.defn,%.o,$(DEFNFILES)) arch$(ARCH).o
 
 MAN := $(patsubst %.defn,%.man,$(DEFNFILES))
 
 default : executables
 all : executables docs
 
-executables : ifup ifdown ifquery ifup.8 ifdown.8 interfaces.5
+executables : ifup ifdown ifup.8 ifdown.8 interfaces.5
 docs : ifupdown.ps.gz ifup.8.ps.gz interfaces.5.ps.gz ifupdown.pdf
 
 .PHONY : executables 
@@ -27,13 +27,12 @@
 	install -m 0755 -d     ${BASEDIR}/sbin
 	install -m 0755 ifup   ${BASEDIR}/sbin
 	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifdown	
-	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifquery
 
 clean :
 	rm -f *.aux *.toc *.log *.bbl *.blg *.ps *.eps *.pdf
 	rm -f *.o *.d $(patsubst %.defn,%.c,$(DEFNFILES)) *~
 	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
-	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
+	rm -f ifup ifdown interfaces.5 ifdown.8
 	rm -f ifupdown.dvi *.ps{,.gz}
 
 clobber : clean
@@ -46,14 +45,11 @@
 
 ifdown: ifup
 	ln -sf ifup ifdown
-
-ifquery: ifup
-	ln -sf ifup ifquery
 interfaces.5: interfaces.5.pre $(MAN)
 	sed $(foreach man,$(MAN),-e '/^##ADDRESSFAM##$$/r $(man)') \
 	     -e '/^##ADDRESSFAM##$$/d' < $< > $@	
 
-ifdown.8 ifquery.8: ifup.8
+ifdown.8: ifup.8
 	ln -sf $< $@
 
 %.5.ps: %.5

=== debian/changelog ===
ifupdown (0.7~beta1) experimental; urgency=low

  * Update the examples (Closes: #630551).
  * Remove Default-Stop from the LSB headers (Closes: #630506).
  * Add IPv4LL method (Closes: #204641).
  * Add initial DHCPv6 support.
  * Suggest isc-dhcp-client instead of dhcp3-client (Closes: #631414).
  * Support per-architecture build-time rule definitions.
  * Add a syntax (%iface/a/b%) to perform character replacement over
    variable values.
  * Accept VLAN interface names (Closes: #632902).
  * Update test cases.
  * Correct the spelling of the maintainer's last name.
  * Add partial kFreeBSD support (Closes: #630512).
  * Drop 'ifupdown-clean' init script (not needed any more with /run).

 -- Andrew O. Shadura <bugzilla@tut.by>  Tue, 23 Aug 2011 11:49:19 +0300

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Andrew O. Shadura <bugzilla@tut.by>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), noweb
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/ifupdown/

Package: ifupdown
Architecture: any
Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base, initscripts (>= 2.88dsf-13.3)
Suggests: isc-dhcp-client | dhcp-client, ppp, rdnssd, ${net:Suggests}
Replaces: netbase (<< 4.00)
Conflicts: dhcp-client (<< 3.0)
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

=== debian/rules ===
--- 
+++ 
@@ -41,14 +41,7 @@
 	chmod a+rx makecdep.sh makenwdep.sh
 
 override_dh_installinit:
-	dh_installinit --name=network-interface-security --upstart-only --noscripts
-	dh_installinit --name=network-interface --upstart-only --noscripts
-	dh_installinit --name=networking --upstart-only --noscripts
-	# FIXME: this rm must be dropped once netbase has been fully upstartified
-	rm debian/ifupdown/etc/init.d/networking
-
-override_dh_installifupdown:
-	dh_installifupdown --name=upstart
+	dh_installinit --name=ifupdown --no-start -- start 39 S .
 
 override_dh_auto_clean:
 	$(MAKE) clean
@@ -71,3 +64,10 @@
 	fi
 endif
 endif
+
+override_dh_gencontrol:
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	dh_gencontrol -- -V'net:Depends=iproute (>= 20071016-1)' -V'net:Suggests=net-tools'
+else
+	dh_gencontrol -- -V'net:Depends=net-tools' -V'net:Suggests='
+endif

## ifupdown 0.7~beta2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="0.7beta"'
+VERSION ?= 0.7~beta
+CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="$(VERSION)"'
 CC ?= gcc
 ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

=== debian/changelog ===
ifupdown (0.7~beta2) experimental; urgency=low

  * Put interfaces down in the reverse order than they were
    brought up (Closes: #477650).
  * Fix postinst issues with loopback interface naming
    (Closes: #572396, #545250).
  * Remove old .dpkg-old symlink (Closes: #639612).
  * Document some details on processing /etc/network/if-*.d directories.
  * Terminate ifup if it's still running when doing ifdown.
  * Finally migrate to /run/network.
  * Use FHS names for wvdial pid files (Closes: #255222).
  * Stop on run-parts failure (Closes: #547587).
  * Execute scripts before interface options on *-down (Closes: #346459).
  * Display missing variable name in the error message; make it also a bit
    less obscure (Closes: #502630).
  * Fix wvdial options description (Closes: #534181).
  * Specify interface label (Closes: #645813).
  * Add address scope option for static IPv4 and IPv6 setups.
  * Use FreeBSD version of route, thanks to Robert Millan (Closes: #646291).

 -- Andrew O. Shadura <bugzilla@tut.by>  Sun, 13 Nov 2011 23:20:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,8 @@
 #     Build-Dep
 #
 ######################################################################
+
+export VERSION := $(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
 
 %:
 	dh $@

## ifupdown 0.7~beta2ubuntu8

=== Makefile ===
--- 
+++ 
@@ -11,14 +11,15 @@
 DEFNFILES := inet.defn ipx.defn inet6.defn can.defn
 
 OBJ := main.o addrfam.o execute.o config.o \
-	$(patsubst %.defn,%.o,$(DEFNFILES)) arch$(ARCH).o
+	$(patsubst %.defn,%.o,$(DEFNFILES)) arch$(ARCH).o \
+	dictionary.o iniparser.o
 
 MAN := $(patsubst %.defn,%.man,$(DEFNFILES))
 
 default : executables
 all : executables docs
 
-executables : ifup ifdown ifup.8 ifdown.8 interfaces.5
+executables : ifup ifdown ifquery ifup.8 ifdown.8 interfaces.5
 docs : ifupdown.ps.gz ifup.8.ps.gz interfaces.5.ps.gz ifupdown.pdf
 
 .PHONY : executables 
@@ -28,12 +29,14 @@
 	install -m 0755 -d     ${BASEDIR}/sbin
 	install -m 0755 ifup   ${BASEDIR}/sbin
 	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifdown	
+	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifquery
+
 
 clean :
 	rm -f *.aux *.toc *.log *.bbl *.blg *.ps *.eps *.pdf
 	rm -f *.o *.d $(patsubst %.defn,%.c,$(DEFNFILES)) *~
 	rm -f $(patsubst %.defn,%.man,$(DEFNFILES))
-	rm -f ifup ifdown interfaces.5 ifdown.8
+	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
 	rm -f ifupdown.dvi *.ps{,.gz}
 
 clobber : clean
@@ -46,11 +49,15 @@
 
 ifdown: ifup
 	ln -sf ifup ifdown
+
+ifquery: ifup
+	ln -sf ifup ifquery
+
 interfaces.5: interfaces.5.pre $(MAN)
 	sed $(foreach man,$(MAN),-e '/^##ADDRESSFAM##$$/r $(man)') \
 	     -e '/^##ADDRESSFAM##$$/d' < $< > $@	
 
-ifdown.8: ifup.8
+ifdown.8 ifquery.8: ifup.8
 	ln -sf $< $@
 
 %.5.ps: %.5

=== debian/changelog ===
ifupdown (0.7~beta2ubuntu8) precise; urgency=low

  * Start networking upstart job on 'or container', to let us optimize the
    udevtrigger job.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Apr 2012 17:27:03 -0700

ifupdown (0.7~beta2ubuntu7) precise; urgency=low

  [ Wookey ]
  * Use cross-compiler when cross-compiling (LP: #967227)
    Also merged upstream as:
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/b21bc14d9109

  [ Stéphane Graber ]
  * Cherry pick commits from upstream to fix the broadcast address (LP: #924880)
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/d31ffdb89dbb
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/b996bb5866f5
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/fbe3c242d6f8
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/bdfd32ad6287
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/d144dfdd7940

  * Detect bogus dns-nameservers line in /etc/network/interfaces and
    automatically comment them (LP: #932275)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Mar 2012 17:39:32 -0400

ifupdown (0.7~beta2ubuntu6) precise; urgency=low

  * Fix previous upload.
  * Forgot to update the test suite in previous upload...
    Update debian/testbuild-linux to drop --exit-on-error.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Feb 2012 10:50:53 -0500

ifupdown (0.7~beta2ubuntu5) precise; urgency=low

  * Revert upstream commit setting --exit-on-error to the run-parts call.
    Scripts still shouldn't exit non-zero unless they plan to stop the
    network configuration, but considering the amount of broken scripts
    out there, it was considered safer to ignore their return value for
    12.04.
    This change will be reverted in 12.10 when Debian also has the new
    ifupdown.
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/2625e15a5fc2

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Feb 2012 10:17:56 -0500

ifupdown (0.7~beta2ubuntu4) precise; urgency=low

  * Add a new network-interface-container upstart job that will emit
    a fake net-device-added for the loopback interface on LXC
    and LXC-libvirt.
    This is needed as we don't get a udev event for the loopback interface
    and net-device-up won't be emitted for the loopback interface in the
    if-up.d hook (as it's supposed to be done in network-interface).

 -- Stéphane Graber <stgraber@ubuntu.com>  Sun, 12 Feb 2012 16:14:53 -0500

ifupdown (0.7~beta2ubuntu3) precise; urgency=low

  * More label fixes from upstream, don't bring down the parent
    when bringing down a label.
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/f9cef973859e
    http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/80a68bbbd45d
  * /etc/init/network-interface-security.conf was made a conffile in
    maverick. Update the check in postinst to fix upgrade from Oneiric.
    (LP: #918323)
  * Fix NetworkManager managed mode detection to look at
    /etc/NetworkManager/NetworkManager.conf instead of
    /etc/NetworkManager/nm-system-settings.conf (LP: #918354)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 18 Jan 2012 14:19:03 -0500

ifupdown (0.7~beta2ubuntu2) precise; urgency=low

  * Make sure we always call dhclient(3) with /var/lib/dhcp instead of
    /var/lib/dhcp3 (needed as dhclient3 is now a symlink to dhclient).
    (LP: #900234)
  * Fix typo in previous changelog entry (LP: #916263)
  * Automatically convert network-interface-security.conf to a conffile
    (LP: #917185)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 16 Jan 2012 17:54:26 -0500

ifupdown (0.7~beta2ubuntu1) precise; urgency=low

  * Resynchronise with Debian experimental.  Remaining changes
    (LP: #905660, LP: #850566, LP: #611877, LP: #678425):
    - ifupdown.nw: Use 100 as default route metric unless an explicit metric
      parameter is set in /etc/network/interface.
    - Add iniparser3.0b sources (dictionary.c, dictionary.h, iniparser.c,
      iniparser.h), to let ifupdown avoid auto-up/down of interfaces if
      network-manager's ifupdown plugin is in managed=true mode.
    - Add a new query interface, 'ifquery', that can be used by upstart
      hooks to ask for the list of possible interfaces that they might need
      to bring up.
    - debian/ifupdown.network-interface.upstart: Replace the init scripts
      with a per-interface Upstart job.
    - debian/ifupdown.networking.upstart: Add a "networking" job that
      partially replaces the networking init script from netbase.
    - debian/control: Bump build-dependency on debhelper for Upstart-aware
      dh_installinit.
    - debian/rules: Due to debhelper always adding /etc/init.d symlinks, we
      must manually remove /etc/init.d/networking for as long as netbase
      still provides it.
    - Add if-up and if-down scripts to emit Upstart events when interfaces
      come up and go down.
    - debian/ifupdown.network-interface-security.upstart: Ensure apport is
      started before interfaces are brought up by either ifupdown or
      network-manager.
    - debian/postinst: If the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - debian/ifupdown.preinst: Since files in /etc were not conffiles in
      lucid, and /etc/network/if-up.d/upstart and
      /etc/init/network-interface.conf changed between lucid final and
      maverick, add extra handling to avoid spurious conffile prompts.
    - invoke dhclient3 with '-1', meaning it should exit failure if it does
      not receive a response in 60 seconds. (LP: #838968)
    - contrib/ifstate-check: Use /run/network/ifstate instead of
      /etc/network/run/ifstate
    - ifup.8: Update man page to indicate that Ubuntu uses /run
      and that it's always writable as it's a temporary filesystem
  * ifupdown.nw: When calling dhclient3, also use /var/lib/dhcp as
    dhclient3 is now a symlink to dhclient and /var/lib/dhcp3 no longer
    exists. (LP: #900234)


=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew O. Shadura <bugzilla@tut.by>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.3.15ubuntu2), noweb
XS-Debian-Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
XS-Debian-Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/ifupdown/

Package: ifupdown
Architecture: any
Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base, initscripts (>= 2.88dsf-13.3)
Suggests: isc-dhcp-client | dhcp-client, ppp, rdnssd, ${net:Suggests}
Replaces: netbase (<< 4.00)
Conflicts: dhcp-client (<< 3.0)
Multi-Arch: foreign
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,10 @@
 
 export VERSION := $(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
 
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+  export CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
+
 %:
 	dh $@
 
@@ -43,7 +47,15 @@
 	chmod a+rx makecdep.sh makenwdep.sh
 
 override_dh_installinit:
-	dh_installinit --name=ifupdown --no-start -- start 39 S .
+	dh_installinit --name=network-interface-container --upstart-only --noscripts
+	dh_installinit --name=network-interface-security --upstart-only --noscripts
+	dh_installinit --name=network-interface --upstart-only --noscripts
+	dh_installinit --name=networking --upstart-only --noscripts
+	# FIXME: this rm must be dropped once netbase has been fully upstartified
+	rm debian/ifupdown/etc/init.d/networking
+
+override_dh_installifupdown:
+	dh_installifupdown --name=upstart
 
 override_dh_auto_clean:
 	$(MAKE) clean

## ifupdown 0.7~beta2ubuntu11.1

=== debian/changelog ===
ifupdown (0.7~beta2ubuntu11.1) precise-proposed; urgency=medium

  * Fix network-interface upstart job to bring up allow-hotplug devices.
    (LP: #1307429)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 08 May 2014 17:00:41 +0200

ifupdown (0.7~beta2ubuntu11) precise; urgency=low

  [ Stéphane Graber ]
  * Allow setting the MTU and HWADDR on manual interfaces. (LP: #1294807) 

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 27 Mar 2014 11:34:01 -0500

ifupdown (0.7~beta2ubuntu10) precise-proposed; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/fb3055c2c4f0)
    for a regression introduced by a93db3ecb8f0. LP: #1226067

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 16 Sep 2013 11:37:14 -0500

ifupdown (0.7~beta2ubuntu9) precise; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/a93db3ecb8f0)
    for a race condition when updating the state file.  LP: #1160490

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 20 Aug 2013 16:49:46 -0500

## ifupdown 0.7.2ubuntu2

=== debian/changelog ===
ifupdown (0.7.2ubuntu2) quantal; urgency=low

  * Fix regression with the removal of the sysvinit networking job:
    - Don't bring 'lo' down (add it to --exclude)
    - Emit deconfiguring-networking (LP: #1061639)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Oct 2012 11:13:27 -0400

ifupdown (0.7.2ubuntu1) quantal; urgency=low

  * Merge ifupdown 0.7.2 from Debian. Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - debian/postinst: If the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - Add jobs and hooks for upstart.
  * Remove /etc/default/networking as the upstart job doesn't use it and
    can't really use it without some significant changes (support exclusion
    lists in all the upstart jobs).
  * Add resolvconf (8) to SEE ALSO section of the interfaces manpage.
    (LP: #1043335)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 13 Sep 2012 11:18:07 -0400

ifupdown (0.7.2) unstable; urgency=low

  * Don't install /etc/default/networking as executable (Closes: #679623).
  * Declare Breaks on dhcp-client (<< 3.0) instead of Conflicts.
  * Implement --no-scripts option (LP: #258782).
  * Calculate the length of a string properly (Closes: #681431).
  * When bringing hotplug interfaces up, strip VLAN and alias identifiers out
    (Closes: #680042).
  * LSB headers: depend on urandom.
  * Recognize vlan+alias combination and filter aliases out (Closes: #679672).
  * Work-around ip(8) understanding of 0NNN as octal numbers (Closes: #684698).

 -- Andrew O. Shadura <bugzilla@tut.by>  Thu, 16 Aug 2012 23:22:32 +0200

ifupdown (0.7.1ubuntu3) quantal; urgency=low

  * Add a 'stop on' rule for the networking service, so that we tear the
    network down at the correct point in the shutdown sequence (after remote
    filesystems have been unmounted).  This is mostly needed when using
    insserv upstart integration (not yet in Ubuntu) to ensure the shutdown
    doesn't hang waiting for an unsatisfiable init script dependency, but it
    also addresses the need for shutting down networking on runlevel changes
    - provided that umountnfs.sh itself is called for runlevel 1, which it
    currently is not.
  * Also start the job on runlevel [2345].  This is a no-op during a normal
    boot since the network will be started *before* runlevel is emitted, but
    is needed to restart the network after a change from runlevel 1.
    LP: #752481.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Sep 2012 15:05:32 -0400

ifupdown (0.7.1ubuntu2) quantal; urgency=low

  * Make /etc/init.d/networking a conffile even if it's a symlink.
    This should help dpkg do the right thing when moving the file from netbase
    over to ifupdown. This is a workaround for (LP: #1023437)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 11 Jul 2012 11:51:57 -0400

ifupdown (0.7.1ubuntu1) quantal; urgency=low

  * Resynchronise with Debian experimental.  Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - debian/postinst: If the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - Add jobs and hooks for upstart.
    - Cherry-pick commit a1f8efc4d93f from upstream, add --no-scripts as a
      parameter to ifup/ifdown, allowing the user to bypass the the scripts
      in /etc/network/if-*.d/ (LP: #258782)
  * Don't include new /etc/default/networking as it's incompatible with event
    based networking configuration.
  * Don't bump dependency on initscripts as the dependency isn't required with
    the upstart jobs and the new version isn't in Ubuntu yet.
  * Drop our code hardcoding the metric at 100 for the default gateway,
    this was used to avoid conflicts between ifupdown and Network Manager.
    Nowadays Network Manager won't manage an interface defined in ifupdown
    and the rest of the metric changes are now in ifupdown.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 03 Jul 2012 13:49:30 -0400

ifupdown (0.7.1) unstable; urgency=low

  * Supply metric setting to dhclient (Closes: #279741, #364581, #676323).
  * Add autoconf/accept_ra options to inet6/dhcp (Closes: #676244).
  * Clean up after /run migration (Closes: #673057):
    - Remove old /etc/network/run.dpkg-old symlink.
    - Try to remove old /etc/network/run even if it's a symlink.
  * Depend on initscripts >= 2.88dsf-25 so mountnfs doesn't break.
  * Pass -q to sysctl to make the output less verbose.
  * Fix shell scripting mistake in /etc/init.d/networking (thanks to
    Stanislav Maslovski, closes: #678101).
  * Changes to interfaces exclusion:
    - Accept -X shortcut (wasn't working because of a bug).
    - Allow specifying more than one -X option.
    - Use shell glob syntax.
  * Add /etc/default/networking (Closes: #580035, #677973):
    - CONFIGURE_INTERFACES can be used to disable interfaces configuration.
    - Individual interfaces can be excluded with EXCLUDE_INTERFACES.
    - Extra verbosity may be requested with VERBOSE.
  * When ifup is being run with --force -n, always report errors regardless of
    ifstate.

 -- Andrew O. Shadura <bugzilla@tut.by>  Thu, 21 Jun 2012 18:59:10 +0200

ifupdown (0.7ubuntu1) quantal-proposed; urgency=low

  * Resynchronise with Debian experimental.  Remaining changes:
    (LP: #298488, LP: #663352)


=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew O. Shadura <bugzilla@tut.by>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8.1.0~), noweb
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/ifupdown/

Package: ifupdown
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base, initscripts (>= 2.88dsf-13.3)
Suggests: isc-dhcp-client | dhcp-client, ppp, rdnssd, ${net:Suggests}
Replaces: netbase (<< 5.0)
Breaks: netbase (<< 5.0), dhcp-client (<< 3.0)
Multi-Arch: foreign
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.

## ifupdown 0.7.2ubuntu4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
-VERSION ?= 0.7~beta
-CFLAGS := -Wall -W -g -O2 -D'IFUPDOWN_VERSION="$(VERSION)"'
-CC ?= gcc
-ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+VERSION ?= 0.7
+CFLAGS ?= -Wall -W -g -O2 -D'IFUPDOWN_VERSION="$(VERSION)"'
+ARCH ?= linux
 
 BASEDIR ?= $(DESTDIR)
 
@@ -11,15 +10,16 @@
 DEFNFILES := inet.defn ipx.defn inet6.defn can.defn
 
 OBJ := main.o addrfam.o execute.o config.o \
-	$(patsubst %.defn,%.o,$(DEFNFILES)) arch$(ARCH).o \
+	$(patsubst %.defn,%.o,$(DEFNFILES)) arch$(ARCH).o meta.o link.o \
 	dictionary.o iniparser.o
 
 MAN := $(patsubst %.defn,%.man,$(DEFNFILES))
+DEFNFILES += meta.defn
 
 default : executables
 all : executables docs
 
-executables : ifup ifdown ifquery ifup.8 ifdown.8 interfaces.5
+executables : ifup ifdown ifquery ifup.8 ifdown.8 ifquery.8 interfaces.5
 docs : ifupdown.ps.gz ifup.8.ps.gz interfaces.5.ps.gz ifupdown.pdf
 
 .PHONY : executables 
@@ -31,7 +31,6 @@
 	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifdown	
 	ln ${BASEDIR}/sbin/ifup ${BASEDIR}/sbin/ifquery
 
-
 clean :
 	rm -f *.aux *.toc *.log *.bbl *.blg *.ps *.eps *.pdf
 	rm -f *.o *.d $(patsubst %.defn,%.c,$(DEFNFILES)) *~
@@ -40,7 +39,7 @@
 	rm -f ifupdown.dvi *.ps{,.gz}
 
 clobber : clean
-	rm -f ifupdown.tex $(PERLFILES) $(CFILES) $(HFILES) $(DEFNFILES)
+	rm -f ifupdown.tex $(PERLFILES) $(CFILES) $(HFILES) $(DEFNFILES) arch*
 
 distclean : clobber
 	rm -f makecdep.sh makenwdep.sh Makefile
@@ -52,7 +51,6 @@
 
 ifquery: ifup
 	ln -sf ifup ifquery
-
 interfaces.5: interfaces.5.pre $(MAN)
 	sed $(foreach man,$(MAN),-e '/^##ADDRESSFAM##$$/r $(man)') \
 	     -e '/^##ADDRESSFAM##$$/d' < $< > $@

=== debian/changelog ===
ifupdown (0.7.2ubuntu4) quantal-proposed; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/fb3055c2c4f0)
    for a regression introduced by a93db3ecb8f0. LP: #1226067

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 16 Sep 2013 11:37:22 -0500

ifupdown (0.7.2ubuntu3) quantal; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/a93db3ecb8f0)
    for a race condition when updating the state file.  LP: #1160490

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 20 Aug 2013 16:50:22 -0500

## ifupdown 0.7.5ubuntu2

=== debian/changelog ===
ifupdown (0.7.5ubuntu2) raring; urgency=low

  * Update network-interface-security job to stop when the parent job is
    stopped itself. This avoids leftover instances. (LP: #1065684)
  * Set mtu of tunnel devices. (LP: #1074048)
  * Actually set the new calculated value for duplicate entries. (LP: #1086517)

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 11 Dec 2012 19:53:56 -0500

ifupdown (0.7.5ubuntu1) raring; urgency=low

  * Merge ifupdown 0.7.5 from Debian. Remaining changes:
    - debian/ifupdown.neworking.upstart (forwarded to Debian):
      + Don't bring 'lo' down (add it to --exclude)
      + Emit deconfiguring-networking (LP: #1061639)
    - Remove /etc/default/networking as the upstart job doesn't use it and
      can't really use it without some significant changes (support exclusion
      lists in all the upstart jobs).
    - Add resolvconf (8) to SEE ALSO section of the interfaces manpage.
      (LP: #1043335)
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - debian/postinst: If the loopback interface is missing from the config
      in /etc/network/interfaces, add it on upgrade.
    - Decrease version dependency against initscripts as the new version isn't
      in Ubuntu yet and the relevant change was added to the older version.
  * Remove versioned dependency against lsb-base and matching init_is_upstart
    calls in the various scripts as the new version isn't in Ubuntu yet.
  * debian/rules revert changes to dh_installinit calls to force all init
    scripts to be only upstart scripts. This can probably be reverted once we
    have the new lsb-base.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 05 Nov 2012 11:06:10 -0500

ifupdown (0.7.5) unstable; urgency=low

  * Fix upstart hooks (Closes: #692110).

 -- Andrew O. Shadura <bugzilla@tut.by>  Fri, 02 Nov 2012 18:30:19 +0100

ifupdown (0.7.4) unstable; urgency=low

  * Check if upstart is the current init and don't try to call initctl if it
    isn't (Closes: #692008).
  * Bump lsb-base dependency to be able to use init_is_upstart.

 -- Andrew O. Shadura <bugzilla@tut.by>  Thu, 01 Nov 2012 12:01:17 +0100

ifupdown (0.7.3) unstable; urgency=low

  * Fix the calculation of broadcast addresses of obsolete scheme;
    previously, a network mask was mistakenly used instead of them.
  * Follow RFC 3021 regarding broadcast addresses in /31 subnets:
    they should use limited broadcast address (Closes: #690561).
  * Add upstart support (patch provided by Steve Langasek, closes: #679549).

 -- Andrew O. Shadura <bugzilla@tut.by>  Tue, 16 Oct 2012 10:39:24 +0200

## ifupdown 0.7.5ubuntu2.2

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dictionary.o iniparser.o
 
 MAN := $(patsubst %.defn,%.man,$(DEFNFILES))
-DEFNFILES += meta.defn
+DEFNFILES += meta.defn link.defn
 
 default : executables
 all : executables docs

=== debian/changelog ===
ifupdown (0.7.5ubuntu2.2) raring-proposed; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/fb3055c2c4f0)
    for a regression introduced by a93db3ecb8f0. LP: #1226067

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 16 Sep 2013 11:37:31 -0500

ifupdown (0.7.5ubuntu2.1) raring; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/a93db3ecb8f0)
    for a race condition when updating the state file.  LP: #1160490

 -- Chris J Arges <chris.j.arges@canonical.com>  Tue, 20 Aug 2013 17:00:59 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Andrew O. Shadura <bugzilla@tut.by>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 8.1.0~), noweb
+Build-Depends: debhelper (>= 9.20120410~), noweb
 Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
 Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/ifupdown/

=== debian/rules ===
--- 
+++ 
@@ -35,10 +35,13 @@
 ######################################################################
 
 export VERSION := $(shell dpkg-parsechangelog|grep Version|cut -d' ' -f2|sed s/.*really//g)
-
-ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
-  export CC = $(DEB_HOST_GNU_TYPE)-gcc
+export CFLAGS := -Wall -W $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) -D'IFUPDOWN_VERSION="$(VERSION)"'
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+ifeq "$(origin CC)" "default"
+export CC := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc
 endif
+export ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+export DESTDIR := debian/$(shell dh_listpackages)
 
 %:
 	dh $@
@@ -50,9 +53,7 @@
 	dh_installinit --name=network-interface-container --upstart-only --noscripts
 	dh_installinit --name=network-interface-security --upstart-only --noscripts
 	dh_installinit --name=network-interface --upstart-only --noscripts
-	dh_installinit --name=networking --upstart-only --noscripts
-	# FIXME: this rm must be dropped once netbase has been fully upstartified
-	rm debian/ifupdown/etc/init.d/networking
+	dh_installinit --name=networking --noscripts
 
 override_dh_installifupdown:
 	dh_installifupdown --name=upstart
@@ -60,6 +61,7 @@
 override_dh_auto_clean:
 	$(MAKE) clean
 	$(MAKE) clobber
+	rm -rf tests/
 
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -82,6 +84,8 @@
 override_dh_gencontrol:
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	dh_gencontrol -- -V'net:Depends=iproute (>= 20071016-1)' -V'net:Suggests=net-tools'
-else
+else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 	dh_gencontrol -- -V'net:Depends=net-tools' -V'net:Suggests='
+else ifeq ($(DEB_HOST_ARCH_OS),hurd)
+	dh_gencontrol -- -V'net:Depends=inetutils-tools' -V'net:Suggests='
 endif

## ifupdown 0.7.8

=== debian/changelog ===
ifupdown (0.7.8) unstable; urgency=medium

  * Assign logical interface name for link pseudointerface on down
    (Closes: #705268).

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 12 Apr 2013 11:44:21 +0200

ifupdown (0.7.7) unstable; urgency=low

  * Don't release DHCPv6 leases in inet6/auto for a while (Closes: #703922).
  * Don't call dhclient with -1 for now.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 25 Mar 2013 22:12:09 +0100

ifupdown (0.7.6) unstable; urgency=low

  [ Andrew Shadura ]
  * Don't configure bridge interfaces as tagged VLAN interfaces
    (Closes: #696642).
  * Implement inet6/auto for kFreeBSD, call DHCP release of ifdown
    on Linux (Closes: #701884).
  * Update manual pages.

  [ Stéphane Graber ]
  * Set MTU of tunnel devices (LP: #1074048).
  * Actually set the new calculated value for duplicate entries
    (LP: #1086517).

  [ Josselin Mouette ]
  * postinst: Do not create /etc/network/interfaces if it was removed manually
    (Closes: #695906)

 -- Andrew Shadura <bugzilla@tut.by>  Sun, 03 Mar 2013 12:08:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew O. Shadura <bugzilla@tut.by>
+Maintainer: Andrew Shadura <andrewsh@debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 9.20120410~), noweb
@@ -12,7 +11,7 @@
 Package: ifupdown
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base, initscripts (>= 2.88dsf-13.3)
+Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 4.1+Debian3), initscripts (>= 2.88dsf-25)
 Suggests: isc-dhcp-client | dhcp-client, ppp, rdnssd, ${net:Suggests}
 Replaces: netbase (<< 5.0)
 Breaks: netbase (<< 5.0), dhcp-client (<< 3.0)

=== debian/rules ===
--- 
+++ 
@@ -50,9 +50,11 @@
 	chmod a+rx makecdep.sh makenwdep.sh
 
 override_dh_installinit:
-	dh_installinit --name=network-interface-container --upstart-only --noscripts
-	dh_installinit --name=network-interface-security --upstart-only --noscripts
-	dh_installinit --name=network-interface --upstart-only --noscripts
+	dh_installinit --name=networking --no-start -- start 40 S . start 35 0 6 .
+	install -p -m 0644 debian/networking.defaults $(DESTDIR)/etc/default/networking
+	dh_installinit --name=network-interface-container --noscripts
+	dh_installinit --name=network-interface-security --noscripts
+	dh_installinit --name=network-interface --noscripts
 	dh_installinit --name=networking --noscripts
 
 override_dh_installifupdown:

## ifupdown 0.7.44ubuntu3

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 docs : ifupdown.ps.gz ifup.8.ps.gz interfaces.5.ps.gz ifupdown.pdf
 
 .PHONY : executables 
-.PHONY : clean clobber
+.PHONY : clean distclean
 
 install :
 	install -m 0755 -d     ${BASEDIR}/sbin
@@ -38,11 +38,8 @@
 	rm -f ifup ifdown ifquery interfaces.5 ifdown.8 ifquery.8
 	rm -f ifupdown.dvi *.ps{,.gz}
 
-clobber : clean
-	rm -f ifupdown.tex $(PERLFILES) $(CFILES) $(HFILES) $(DEFNFILES) arch*
+distclean : clean
 
-distclean : clobber
-	rm -f makecdep.sh makenwdep.sh Makefile
 ifup: $(OBJ)
 	$(CC) $(CFLAGS) $^ $(LDFLAGS) $(OUTPUT_OPTION)
 
@@ -107,5 +104,5 @@
 include-deps := NO
 endif
 ifeq "$(strip $(include-deps))" "YES"
-include ifupdown.d
+-include ifupdown.d
 endif

=== debian/control ===
Source: ifupdown
Section: admin
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew O. Shadura <bugzilla@tut.by>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9.20120410~)
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/ifupdown/

Package: ifupdown
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 4.1+Debian3), initscripts (>= 2.88dsf-25)
Recommends: isc-dhcp-client | dhcp-client
Suggests: ppp, rdnssd, ${net:Suggests}
Replaces: netbase (<< 5.0)
Breaks: netbase (<< 5.0), dhcp3-client (<< 4.0)
Multi-Arch: foreign
Description: high level tools to configure network interfaces
 This package provides the tools ifup and ifdown which may be used to
 configure (or, respectively, deconfigure) network interfaces based on
 interface definitions in the file /etc/network/interfaces.
